
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Python中使用Tkinter模块创建GUI程序实例_python / iVAN</title>

    <meta name="description" content="Python中使用Tkinter模块创建GUI程序实例_python 使用Tkinter模块来创建简单的GUI程序. Tkinter的Widgets有:Button.Canvas.Checkbutton.Entry.Frame.Label.Listbox.Menu.Menubutton.Message.Radiobutton.Scales.Scrollbar.TEXT.Toplevel等. 例: 复制代码 代码如下: # This program displays an empty window. import Tkinter def main():   main">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Python中使用Tkinter模块创建GUI程序实例_python</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>使用Tkinter模块来创建简单的GUI程序。</p>
<p>Tkinter的Widgets有：Button、Canvas、Checkbutton、Entry、Frame、Label、Listbox、Menu、Menubutton、Message、Radiobutton、Scales、Scrollbar、TEXT、Toplevel等。</p>
<p>例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p># This program displays an empty window.<br />
import Tkinter<br />
def main():<br />
  main_window = Tkinter.Tk()<br />
  Tkinter.mainloop()<br />
main()</p>
<p>例2：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
class MyGUI:<br />
  def __init__(self):<br />
  # Create the main window widget.<br />
  self.main_window = Tkinter.Tk()<br />
   <br />
  # Enter the Tkinter main loop.<br />
  Tkinter.mainloop()<br />
# Create an instance of the MyGUI class.<br />
my_gui = MyGUI()</p>
<p>例3：</p>
<p><u>复制代码</u> 代码如下:</p>
<p># The program displays a label with text.<br />
import Tkinter<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  # Create a Label widget containing the text 'Hello world'<br />
  self.label = Tkinter.Label(self.main_window, text='Hello World!')<br />
  # Call the Label widget's pack method.<br />
  self.label.pack()<br />
  # Enter the Tkinter main loop.<br />
  Tkinter.mainloop()<br />
# Create an instance of the MyGUI class.<br />
my_gui = MyGUI()</p>
<p>例4：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.label1 = Tkinter.Label(self.main_window,text='Hello World!')<br />
  self.label2 = Tkinter.Label(self.main_window,text='This is my GUI program.')<br />
  self.label1.pack()<br />
  self.label2.pack()<br />
  Tkinter.mainloop()<br />
mygui = MyGUI()</p>
<p>例5：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.label1 = Tkinter.Label(self.main_window,text='Hello World!')<br />
  self.label2 = Tkinter.Label(self.main_window,text='This is my GUI program.')<br />
  self.label1.pack(side='left')<br />
  self.label2.pack(side='left')<br />
  Tkinter.mainloop()<br />
mygui = MyGUI()</p>
<p>例6：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.top_frame = Tkinter.Frame(self.main_window)<br />
  self.bottom_frame = Tkinter.Frame(self.main_window)<br />
  self.label1 = Tkinter.Label(self.top_frame,text='Winken')<br />
  self.label2 = Tkinter.Label(self.top_frame,text='Blinken')<br />
  self.label3 = Tkinter.Label(self.top_frame,text='Nod')<br />
   <br />
  self.label1.pack(side='top')<br />
  self.label2.pack(side='top')<br />
  self.label3.pack(side='top')<br />
   <br />
  self.label4 = Tkinter.Label(self.bottom_frame,text='Winken')<br />
  self.label5 = Tkinter.Label(self.bottom_frame,text='Blinken')<br />
  self.label6 = Tkinter.Label(self.bottom_frame,text='Nod')<br />
   <br />
  self.label4.pack(side='left')<br />
  self.label5.pack(side='left')<br />
  self.label6.pack(side='left')<br />
   <br />
  self.top_frame.pack()<br />
  self.bottom_frame.pack()<br />
   <br />
  Tkinter.mainloop()<br />
mygui = MyGUI()</p>
<p>按钮Widget和信息对话框<br />
使用tkMessageBox模块的showinfo函数来显示信息对话框。<br />
例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p># the program demonstrates a Button widget.<br />
# when the user clicks the button, an info dialog box is displayed.<br />
import Tkinter<br />
import tkMessageBox<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.my_button = Tkinter.Button(self.main_window, text='Click me!',command=self.do_something)<br />
  self.my_button.pack()<br />
  Tkinter.mainloop()<br />
  def do_something(self):<br />
  tkMessageBox.showinfo('Response','Thanks for clicking the button.')<br />
mygui = MyGUI()</p>
<p>例2：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
import tkMessageBox<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.my_button = Tkinter.Button(self.main_window, text='Click me!',command=self.do_something)<br />
  self.quit_button = Tkinter.Button(self.main_window,text='Quit',command=self.main_window.quit)<br />
  self.my_button.pack()<br />
  self.quit_button.pack()<br />
  Tkinter.mainloop()<br />
  def do_something(self):<br />
  tkMessageBox.showinfo('Response','Thanks for clicking the button.')<br />
mygui = MyGUI()</p>
<p>用Entry Widget得到输入<br />
Entry Widget是一个矩形区域，用户可输入其中。可使用Entry Widget的get方法取回输入的数据。<br />
例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
import tkMessageBox<br />
class KiloGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.top_frame = Tkinter.Frame(self.main_window)<br />
  self.bottom_frame = Tkinter.Frame(self.main_window)<br />
  self.label = Tkinter.Label(self.top_frame,text='Enter a distance in kilometers:')<br />
  self.entry = Tkinter.Entry(self.top_frame,width=10)<br />
  self.button1 = Tkinter.Button(self.bottom_frame,text='Convert',command=self.convert)<br />
  self.button2 = Tkinter.Button(self.bottom_frame,text='Quit',command=self.main_window.quit)<br />
   <br />
  self.label.pack(side='left')<br />
  self.entry.pack(side='left')<br />
  self.button1.pack(side='left')<br />
  self.button2.pack(side='left')<br />
  self.top_frame.pack()<br />
  self.bottom_frame.pack()<br />
   <br />
  Tkinter.mainloop()<br />
  def convert(self):<br />
  kilo = float(self.entry.get())<br />
  miles = kilo*0.6214<br />
  tkMessageBox.showinfo('Result',str(kilo)+' kilometers is equal to '+str(miles)+' miles.')<br />
   <br />
mygui = KiloGUI()</p>
<p>例2：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
import tkMessageBox<br />
class KiloGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.top_frame = Tkinter.Frame(self.main_window)<br />
  self.mid_frame = Tkinter.Frame(self.main_window)<br />
  self.bottom_frame = Tkinter.Frame(self.main_window)<br />
   <br />
  self.label1 = Tkinter.Label(self.top_frame,text='Enter a distance in kilometers:')<br />
  self.entry = Tkinter.Entry(self.top_frame,width=10)<br />
   <br />
  self.button1 = Tkinter.Button(self.bottom_frame,text='Convert',command=self.convert)<br />
  self.button2 = Tkinter.Button(self.bottom_frame,text='Quit',command=self.main_window.quit)<br />
   <br />
  self.label2 = Tkinter.Label(self.mid_frame,text='Converted to miles:')<br />
  self.value = Tkinter.StringVar()<br />
  self.label3 = Tkinter.Label(self.mid_frame,textvariable=self.value)<br />
   <br />
  self.label1.pack(side='left')<br />
  self.entry.pack(side='left')<br />
   <br />
  self.button1.pack(side='left')<br />
  self.button2.pack(side='left')<br />
   <br />
  self.label2.pack(side='left')<br />
  self.label3.pack(side='left')<br />
   <br />
  self.top_frame.pack()<br />
  self.mid_frame.pack()<br />
  self.bottom_frame.pack()<br />
   <br />
  Tkinter.mainloop()<br />
  def convert(self):<br />
  kilo = float(self.entry.get())<br />
  miles = kilo*0.6214<br />
  self.value.set(miles)<br />
   <br />
mygui = KiloGUI()</p>
<p>Radio按钮和Check按钮<br />
例：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>import Tkinter<br />
import tkMessageBox<br />
class MyGUI:<br />
  def __init__(self):<br />
  self.main_window = Tkinter.Tk()<br />
  self.top_frame = Tkinter.Frame(self.main_window)<br />
  self.bottom_frame = Tkinter.Frame(self.main_window)<br />
   <br />
  self.radio_var = Tkinter.IntVar()<br />
  self.radio_var.set(1)<br />
  self.rb1 = Tkinter.Radiobutton(self.top_frame,text='Option 1',variable=self.radio_var,value=1)<br />
  self.rb2 = Tkinter.Radiobutton(self.top_frame,text='Option 2',variable=self.radio_var,value=2)<br />
  self.rb3 = Tkinter.Radiobutton(self.top_frame,text='Option 3',variable=self.radio_var,value=3)<br />
   <br />
  self.rb1.pack()<br />
  self.rb2.pack()<br />
  self.rb3.pack()<br />
   <br />
  self.ok_button = Tkinter.Button(self.bottom_frame,text='OK',command=self.show_choice)<br />
  self.quit_button = Tkinter.Button(self.bottom_frame,text='QUIT',command=self.main_window.quit)<br />
   <br />
  self.ok_button.pack(side='left')<br />
  self.quit_button.pack(side='left')<br />
   <br />
  self.top_frame.pack()<br />
  self.bottom_frame.pack()<br />
   <br />
  Tkinter.mainloop()<br />
   <br />
  def show_choice(self):<br />
  tkMessageBox.showinfo('Selection','You selected optioin '+str(self.radio_var.get()))<br />
mygui = MyGUI()</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-12 08:00:20</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/python/" title="python">python</a>, <a href="https://www.iamivan.net/tag/%e5%88%9b%e5%bb%bagui%e7%a8%8b%e5%ba%8f/" title="创建GUI程序">创建GUI程序</a>, <a href="https://www.iamivan.net/tag/tkinter%e6%a8%a1%e5%9d%97/" title="Tkinter模块">Tkinter模块</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Python中使用Tkinter模块创建GUI程序实例_python的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mr2oB1M.html" rel="bookmark">在Python中使用SimpleParse模块进行解析的教程&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				与大多数程序员一样,我经常需要标识存在于文本文档中的部件和结构,这些文档包括:日志文件.配置文件.分隔的数据以及格式更自由的(但还是半结构化的)报表格式.所有这些文档都拥有它们自己的&quot;小语言&quot;,用于规定什么能够出现在文档内. 我编写处理这些非正式解析任务的程序的方法总是有点象大杂烩,其中包括定制状态机.正则表达式以及上下文驱动的字符串测试.这些程序中的模式大概总是这样:&quot;读一些文本,弄清是否可以用它来做些什么,然后可能再多读一些文本,一直尝试下去.&quot; 各种形式的解析			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOdBxkb.html" rel="bookmark">Python中使用dom模块生成XML文件示例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Python中解析XML文件也有Dom和Sax两种方式,这里先介绍如何是使用Dom解析XML,这一篇文章是Dom生成XML文件,下一篇文章再继续介绍Dom解析XML文件. 在生成XML文件中,我们主要使用下面的方法来完成. 主要方法 1.生成XML节点(node) 复制代码 代码如下: createElement(&quot;node_name&quot;) 2.给节点添加属性值(Attribute) 复制代码 代码如下: node.setAttribute(&quot;att_name&quot;,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYkjBZz.html" rel="bookmark">Python中dictionary items&lpar;&rpar;系列函数的用法实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python中dictionary items()系列函数的用法,对Python程序设计有很好的参考借鉴价值.具体分析如下: 先来看一个示例: import html # available only in Python 3.x def make_elements(name, value, **attrs): keyvals = [' %s=&quot;%s&quot;' % item for item in attrs.items()] attr_str = ''.join(keyvals			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJ1JyVp.html" rel="bookmark">python中的hashlib和base64加密模块使用实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到好几位博主通过对模块的各个击破学习python,我也效法一下,本篇说一下python中加密涉及到的模块. hashlib hashlib模块支持的加密算法有md5 sha1 sha224 sha256 sha384 sha512(加密原理请参考此处),使用起来也很简单. 以md5加密为例,有两种方法: 一. 追加模式 代码示例: 复制代码 代码如下:  import hashlib #引入hashlib模块    mm = hashlib.md5() #创建一个md5对象  mm.updat			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo3BG3b.html" rel="bookmark">python中列表元素连接方法join用法实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了python中列表元素连接方法join用法.分享给大家供大家参考.具体分析如下: 创建列表: &gt;&gt;&gt; music = [&quot;Abba&quot;,&quot;Rolling Stones&quot;,&quot;Black Sabbath&quot;,&quot;Metallica&quot;] &gt;&gt;&gt; print music 输出: ['Abba', 'Rolling Stones', 'Black Sabbath', 'Metallica']			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOn5Xvp.html" rel="bookmark">Python中使用Boolean操作符做真值测试实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Python中,任何类型的对象都可以做真值测试,并且保证返回True或者False. 以下几种值(不论类型)在真值测试中返回False: 1.None 2.False 3.任何类型的数字0,包括0,0.0,0L,0j 4.空的序列(sequence)或者映射(mapping)类型对象 5.对于用户自定义类型的对象,如果其类定义了__nonzero__() 或者 __len__()特殊方法并且返回False或者0 对于最后一条规则,有几点需要说明: 1.如果类没有定义这两个方法中的任何一个,则这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrdenmz.html" rel="bookmark">用python实现面向对像的ASP程序实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了用python实现面向对像的ASP程序的方法.分享给大家供大家参考.具体实现方法如下: 平时我们写ASP时,一般都用vbscript或javascript. javascript是用function来实现类的,很麻烦,而且效果不爽. vbscript虽然可以实现类,但是功能上也有很大的局限性. 如果用python来写ASP脚本,就可以实现真的类,成为真正的面向对像.请看下面的例子: 复制代码 代码如下: &lt;%@LANGUAGE=&quot;python&quot; CODEPAGE=&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MNvLB4M.html" rel="bookmark">Python中使用copy模块实现列表&lpar;list&rpar;拷贝&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引用是指保存的值为对象的地址.在 Python 语言中,一个变量保存的值除了基本类型保存的是值外,其它都是引用,因此对于它们的使用就需要小心一些.下面举个例子: 问题描述:已知一个列表,求生成一个新的列表,列表元素是原列表的复制 复制代码 代码如下: a=[1,2] b=a 这种做法其实并未真正生成一个新的列表,b指向的仍然是a所指向的对象.这样,如果对a或b的元素进行修改,a,b的值同时发生变化. 解决的方法为: 复制代码 代码如下: a=[1,2] b=a[:] 这样修改a对b没有影响.修改			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/badXGwz.html" rel="bookmark">Python中字典和JSON互转操作实例&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSON是一种轻量级的数据交换格式,各种语言都有良好的支持.字典是Python的一种数据结构.可以看成关联数组. 有些时候我们需要设计到字典转换成JSON序列化到文件,或者从文件中读取JSON.简单备忘一下. Dict转JSON写入文件 复制代码 代码如下: #!/usr/bin/env python # coding=utf-8 import json d = {'first': 'One', 'second':2} json.dump(d, open('/tmp/result.txt', '			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWKxnM.html" rel="bookmark" class="title">让Excel也玩多标签 多个图表一个窗口</a>
					<div>
						很多用户习惯了傲游.火狐浏览器的多标签浏览功能,希望能够在文档.窗口中也均能实现,将多个程序以标签的形式显示在同一窗口之中.自由切换,节约任务栏空间.而今天,笔者便为大家推荐一款名为ExcelTab的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXN5lb.html" rel="bookmark" class="title">jQuery Ajax 实例&lpar;一&rpar;</a>
					<div>
						jQuery Ajax实例 在jquery中ajax实现方法分类很多种,如有:load.jQuery.get.jQuery.post.jQuery.getScript.jQuery Ajax 事件.j ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qbakgnp.html" rel="bookmark" class="title">路由器设置教程&colon;PHP框架queryphp教程：入门八 路由跳转</a>
					<div>
						路由说明path_info方式testframework.php?router=default&amp;action=indextestframework.php/default/index可以使用a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqnrYp.html" rel="bookmark" class="title">Photoshop纹理叠加打造肮脏生锈的金属字</a>
					<div>
						本教程介绍如何通过photoshop的纹理叠加和图层样式及滤镜打造一个肮脏生锈的金属字,先看效果图 新建文档454x340像素,背景黑色,输入白色粗体文字 底部建新层,调出文字选区,选择&gt;修改& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp57gWb.html" rel="bookmark" class="title">ASP教程：学习掌握ASP 文件引用的方法</a>
					<div>
						教程 #include命令用于在多重页面上创建需重复使用的函数.页眉.页脚或者其他元素等. #include 命令 通过使用#include命令,我们可以在服务器执行某个ASP文件之前,把另一个ASP ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv8g6z.html" rel="bookmark" class="title">为RM格式影片加上Flash片头</a>
					<div>
						现在流行BT下载电视剧或电影,但如果剧集很多的话,分集下载是免不了的,因此观看它们时就多了一个手动切换的步骤,总显得有点麻烦.当然你也可以通过制作播放列表的方法解决,不过播放列表一般只支持同一格式的文 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeexxz.html" rel="bookmark" class="title">百度分享突然消失 但绝不是浮云</a>
					<div>
						最近在站长圈吵的沸沸扬扬的百度分享突然不给力了,本人刚还沉浸在因为本站后面出现&quot;大拇指&quot;的兴奋中,一顿午饭的时间就成为了浮云.刚还在A5发表了&lt;百度分享:究竟有多少人喜欢你& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNNWvb.html" rel="bookmark" class="title">PHP中&lowbar;&lowbar;autoload与smarty3冲突的解决方法</a>
					<div>
						今天更新了smarty到3.0,结果发现项目中的__autoload()不能用了, 作为一个刚学习PHP 的菜鸟新手,搞了半天才明白问题出在它俩的冲突上,郁闷了好几天.后通过查看,Smarty3.0  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myr3NPp.html" rel="bookmark" class="title">PXE无盘网络原理简介及实战应用</a>
					<div>
						一.PXE工作原理: PXE(Preboot Execution Environment)称为远程引导技术,方便了管理员简易安装大批量的计算机系统.在服务器上架设DHCP,FTP,TFTP服务,首先客 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLaAKb.html" rel="bookmark" class="title">C&num;的数据类型</a>
					<div>
						一．计算机数据基础 一般来说,计算机要存储和处理不同的数据类型,在C#中有基本的数据类型和用户自定义数据类型以及引用型数据.我们先学习下基本的数据类型,也就是系统自带的数据类型. 每种数据类型都要占据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P6aDM.html" rel="bookmark" class="title">Linux中误删除了某个文件后从进程相关的文件描述中恢复数据</a>
					<div>
						在Linux中误删除了某个文件,但是 ps-ef|grep 文件名 发现某个进程还在使用该文件,那么可以通 过以下方式恢复文件. 例如: 创建一个简单文件/tmp/test.txt, 随便向里面写点内 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4DxVp.html" rel="bookmark" class="title">如果编程语言是一条船&hellip;</a>
					<div>
						Turing(图灵) Turing绝对是一个双人皮划艇.它很小.人力的.它通常被当作初学者的&quot;船&quot;.而且它非常的加拿大. Java Java是一个大货船.体积笨重.适合大商业.载重 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A32ap.html" rel="bookmark" class="title">PS制作牵手字技巧</a>
					<div>
						牵手字是通过文字笔划的变化,使一个文字的某个笔划与另一个文字的笔划之间产生有机连接,从而将每个单独的字形贯穿起来,形成字与字相连的整体组合效果.这种文字的设计可以通过笔划的变形与连接,表现出一种纤巧柔 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balV4nz.html" rel="bookmark" class="title">photoshop蒙版的类型及应用详解</a>
					<div>
						蒙版在PS里的应用相当广泛,蒙版最大的特点就是可以反复修改,却不会影响到本身图层的任何构造.如果对蒙版调整的图像不满意,可以去掉蒙版原图像又会重现.真是非常神奇的工具. 我们平常老说蒙版蒙版的,实际上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jrPob.html" rel="bookmark" class="title">排除ADSL速度变慢的方法</a>
					<div>
						现在大家普遍使用的互联网接入方式是ADSl方式,有用户反映,ADSL高速宽带网在使用过程中,有时还不如原来的窄带MODEM(调制解调器)上网速度快.那么,上网速度慢主要由哪些原因造成的?如何快速查找和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZdgK5M.html" rel="bookmark" class="title">Photoshop绘制金色质感的球形图标</a>
					<div>
						最终效果图 步骤分解         注:更多精彩教程请关注三联photoshop教程栏目,三联PS群:182958314欢迎你的加入 分类: PS图片处理 ps图标制作教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P8EQp.html" rel="bookmark" class="title">自动化-如何模拟PC客户端软件？</a>
					<div>
						问题描述 如何模拟PC客户端软件? 我们可以通过各种编程语言实现网络上的数据爬虫,其中一个是可以模拟网站登录并进行自动化的操作,这样可以节约很多时间.我现在想在PC客户端也可以实现这样的功能,即模拟P ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1l80ob.html" rel="bookmark" class="title">笔记本屏幕闪烁怎么解决&lpar;花屏&rpar;</a>
					<div>
						大多数的屏幕闪烁问题是由于笔记本的屏幕的线缆接触不良导致的,因为笔记本的开合导致屏线会随着移动,虽然做了固定处理,但是难免部分同学的笔记本的屏线 会出现了松动现象导致接触不良,当使用笔记本或者敲击键盘 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAO72M.html" rel="bookmark" class="title">一个经典例子让你彻彻底底理解java回调机制（一）</a>
					<div>
						转帖请注明本文出自xiaanming的博客(http://blog.csdn.net/xiaanming/article/details/17483273),请尊重他人的辛勤劳动成果,谢谢 以前不理解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7jkrz.html" rel="bookmark" class="title">java初学者求教：关于线程安全问题</a>
					<div>
						问题描述 java初学者求教:关于线程安全问题 List list = new ArrayList(); list = Collections.synchronizedList(list); 这时li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEgjXz.html" rel="bookmark" class="title">android实时短信获取问题</a>
					<div>
						问题描述 android实时短信获取问题 android手机实时抓取其他手机发过来的短信,在模拟器上可以显示手机号码和信息内容,但是在真机上面测试就显示不了,有没有人做过相关的应用,希望能帮忙解决一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKgkjb.html" rel="bookmark" class="title">精通css（1）-规范</a>
					<div>
						之前学过css,但没有深入研究,现在在做一些web的东西,有时遇到布局的问题要弄很久,所以本着严肃认真的态度,还是要把css好好再学一遍! 传说,在css没有出现之前,html的结构是非常混乱的,因为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOmBxvM.html" rel="bookmark" class="title">Google CR-48 &OpenCurlyDoubleQuote;笔记本&rdquo;惊现 eBay</a>
					<div>
						在大家还在猜测自己是否足够幸运可以拿到一台 Google CR-48 笔记本时,Ebay 已经有 100% 好评的高人开始用不到15美刀的价格低价甩货了(上图可能有些不清楚,封面上注明了型号:Goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq78Jaz.html" rel="bookmark" class="title">Python装饰器由浅入深</a>
					<div>
						装饰器的功能在很多语言中都有,名字也不尽相同,其实它体现的是一种设计模式,强调的是开放封闭原则,更多的用于后期功能升级而不是编写新的代码.装饰器不光能装饰函数,也能装饰其他的对象,比如类,但通常,我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN83GM.html" rel="bookmark" class="title">《精通Spring MVC 4》&mdash;&mdash;2&period;3　Spring MVC 1-0-1</a>
					<div>
						2.3 Spring MVC 1-0-1 在Spring MVC中,模型是由Spring MVC的Model或ModelAndView封装的简单Map.它可以来源于数据库.文件.外部服务等,这取决于你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx0llRM.html" rel="bookmark" class="title">懂产品的设计师</a>
					<div>
						这几天在上网的时候看了几篇关于设计.产品和用户体验的文章,大致把里面的一些段落和想法并结合工作中的实际情况,写成博客和大家一起分享. 在日常的工作中,这种情况大家不可避免,肯定会遇到,要做一个项目,产 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWWykAM.html" rel="bookmark" class="title">c&plus;&plus;-MFC 单文档视图分割的视图大小问题</a>
					<div>
						问题描述 MFC 单文档视图分割的视图大小问题 BOOL CMainFrame::OnCreateClient(LPCREATESTRUCT lpcs, CCreateContext* pContex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z2ywz.html" rel="bookmark" class="title">oracle点知识7&mdash;&mdash;本地索引&plus;全局索引</a>
					<div>
						以下内同整理自网络: 分区索引分为本地(local index)索引和全局索引(global index). 1.本地索引: 其中本地索引又可以分为有前缀(prefix)的索引和无前缀(nonpref ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDkK0Lp.html" rel="bookmark" class="title">Android开发弹出键盘布局闪动如何解决</a>
					<div>
						弹出键盘布局闪动原理和解决 在开发中,遇到一个问题:做一个微信一样,表情输入和软键盘在切换的时候,聊天界面不闪动的问题.为了解决这个问题,需要知道一下Android的软键盘弹出的时候发生的几个变化.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Q4Kb.html" rel="bookmark" class="title">javascript修改表格背景色实例代码分享&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;html&gt; &lt;script&gt; //点击当前选中行的时候设置当前行的颜色,同时恢复除当前行外的行的颜色及鼠标事件 function selectRow(t ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
